Bug 691857 - tiffsep crashes in Version 9 (missing lab.icc)
tiffsep crashes in Version 9 (missing lab.icc)
Status: RESOLVED FIXED
Product: Ghostscript
Classification: Unclassified
Component: General
0.00
Macintosh MacOS X
: P4 major
Assigned To: Alex Cherepanov
Bug traffic
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-29 09:07 PST by ademmler
Modified: 2011-04-26 15:01 PDT (History)
1 user (show)

See Also:
Customer:
Word Size: ---


Attachments
testpage in pdf format (810.82 KB, application/pdf)
2011-01-06 18:20 PST, ademmler
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ademmler 2010-12-29 09:07:19 PST
Dear GS developers.

The tiffsep device crashes, because of an icc profile issue.
I have tried to add the ICCProfile path or to deactivate CIE colors, but it did not help.

gs -sDEVICE=tiffsep -r75 -sICCProfilesDir=/opt/local/share/ghostscript/9.00/iccprofiles/ -o test mytes.pdf
gs -sDEVICE=tiffsep -r75 -dNOCIE -o test mytes.pdf

Anny hints are more than welcome.
thx to all Alexander

# -------------------- cmdline output --------------------- #
sws:Desktop ademmler$ gs -sDEVICE=tiffsep -r75 -o test mytest.pdf
GPL Ghostscript  9.00 (2010-09-14)
Copyright (C) 2010 Artifex Software, Inc.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
sfopen: gs_parse_file_name failed.
sfopen: gs_parse_file_name failed.
 ./base/gsicc_manage.c:706: gsicc_open_search(): Could not find lab.icc
| ./psi/zusparam.c:805: set_lab_icc(): cannot find default lab icc profile
sfopen: gs_parse_file_name failed.
sfopen: gs_parse_file_name failed.
sfopen: gs_parse_file_name failed.
 ./base/gsicc_manage.c:706: gsicc_open_search(): Could not find %rom%iccprofiles/default_rgb.icc
| ./base/gsicc_manage.c:842: gsicc_set_device_profile(): cannot find device profile
Unrecoverable error: unknownerror in .setdistillerparams
Operand stack:
   --nostringval--  --nostringval--  --nostringval--  --nostringval--  false  --nostringval--  PreserveHalftoneInfo  false  Binding  Left  DefaultRenderingIntent  Default  PreserveEPSInfo  true GrayImageDownsampleThreshold  1.5  ParseDSCComments  true  AntiAliasGrayImages  false  ColorImageDepth  -1  EmitDSCWarnings  false  MonoImageDepth  -1 PreserveCopyPage  true  AutoPositionEPSFiles  true  AutoRotatePages  PageByPage  ConvertImagesToIndexed  true  .NeverEmbed  --nostringval--  GrayImageDict  --nostringval-- Optimize  false  AntiAliasColorImages  false  TransferFunctionInfo  Preserve  CalRGBProfile  None  ColorConversionStrategy  LeaveColorUnchanged  DownsampleMonoImages  false MaxSubsetPct  100  PDFXBleedBoxToTrimBoxOffset  --nostringval--  AutoFilterGrayImages  true  CompressPages  true  GrayACSImageDict  --nostringval--  GrayImageDepth  -1 OffOptimizations  0  .AlwaysEmbed  --nostringval--  SubsetFonts  true  CalGrayProfile  None  ColorACSImageDict  --nostringval--  DownsampleGrayImages  false  UCRandBGInfo Preserve  LockDistillerParams  false  PDFXSetBleedBoxToMediaBox  true  AutoFilterColorImages  true  ColorImageFilter  DCTEncode  EmbedAllFonts  true  EncodeMonoImages  true MonoImageFilter  CCITTFaxEncode  CalCMYKProfile  None  DownsampleColorImages  false  PreserveOverprintSettings  true  ImageMemory  524288 PDFXTrimBoxToMediaBoxOffset  --nostringval--  ASCII85EncodePages  false  UsePrologue  false  ColorImageDownsampleThreshold  1.5  DoThumbnails  false  EncodeGrayImages true  MonoImageDownsampleThreshold  1.5  sRGBProfile  None  CannotEmbedFontPolicy  Warning  DetectBlends  true  PreserveOPIComments  true  GrayImageFilter  DCTEncode ParseDSCCommentsForDocInfo  true  AntiAliasMonoImages  false  UseFlateCompression  true  ColorImageDict  --nostringval--  OPM  1  CreateJobTicket  false  EncodeColorImages true  MonoImageDict  --nostringval--
sfopen: gs_parse_file_name failed.
sfopen: gs_parse_file_name failed.
 ./base/gsicc_manage.c:706: gsicc_open_search(): Could not find lab.icc
| ./psi/zusparam.c:805: set_lab_icc(): cannot find default lab icc profile


# ---------- my installation ----------------- #

sws:Desktop ademmler$ gs -h
GPL Ghostscript  9.00 (2010-09-14)
Copyright (C) 2010 Artifex Software, Inc.  All rights reserved.
Usage: gs [switches] [file1.ps file2.ps ...]
Most frequently used switches: (you can use # in place of =)
-dNOPAUSE           no pause after page   | -q       `quiet', fewer messages
-g<width>x<height>  page size in pixels   | -r<res>  pixels/inch resolution
-sDEVICE=<devname>  select device         | -dBATCH  exit after last file
-sOutputFile=<file> select output file: - for stdout, |command for pipe,
                                        embed %d or %ld for page #
Input formats: PostScript PostScriptLevel1 PostScriptLevel2 PostScriptLevel3 PDF
Default output device: x11alpha
Available devices:
  alc1900 alc2000 alc4000 alc4100 alc8500 alc8600 alc9100 ap3250 appledmp
  atx23 atx24 atx38 bbox bit bitcmyk bitrgb bitrgbtags bj10e bj10v bj10vh
  bj200 bjc600 bjc800 bjc880j bjccmyk bjccolor bjcgray bjcmono bmp16 bmp16m
  bmp256 bmp32b bmpgray bmpmono bmpsep1 bmpsep8 ccr cdeskjet cdj1600 cdj500
  cdj550 cdj670 cdj850 cdj880 cdj890 cdj970 cdjcolor cdjmono cdnj500 cfax
  cgm24 cgm8 cgmmono chp2200 cif cljet5 cljet5c cljet5pr coslw2p coslwxl
  cp50 declj250 deskjet devicen dfaxhigh dfaxlow display dj505j djet500
  djet500c dl2100 dnj650c epl2050 epl2050p epl2120 epl2500 epl2750 epl5800
  epl5900 epl6100 epl6200 eplcolor eplmono eps9high eps9mid epson epsonc
  epswrite escp escpage faxg3 faxg32d faxg4 fmlbp fmpr fs600 gdi hl1240
  hl1250 hl7x0 hpdj1120c hpdj310 hpdj320 hpdj340 hpdj400 hpdj500 hpdj500c
  hpdj510 hpdj520 hpdj540 hpdj550c hpdj560c hpdj600 hpdj660c hpdj670c
  hpdj680c hpdj690c hpdj850c hpdj855c hpdj870c hpdj890c hpdjplus
  hpdjportable ibmpro ijs imagen imdi inferno iwhi iwlo iwlq jetp3852 jj100
  jpeg jpegcmyk jpeggray la50 la70 la75 la75plus laserjet lbp310 lbp320
  lbp8 lex2050 lex3200 lex5700 lex7000 lips2p lips3 lips4 lips4v lj250
  lj3100sw lj4dith lj4dithp lj5gray lj5mono ljet2p ljet3 ljet3d ljet4
  ljet4d ljet4pjl ljetplus ln03 lp1800 lp1900 lp2000 lp2200 lp2400 lp2500
  lp2563 lp3000c lp7500 lp7700 lp7900 lp8000 lp8000c lp8100 lp8200c lp8300c
  lp8300f lp8400f lp8500c lp8600 lp8600f lp8700 lp8800c lp8900 lp9000b
  lp9000c lp9100 lp9200b lp9200c lp9300 lp9400 lp9500c lp9600 lp9600s
  lp9800c lps4500 lps6500 lq850 lx5000 lxm3200 lxm5700m m8510 mag16 mag256
  md1xMono md2k md50Eco md50Mono md5k mgr4 mgr8 mgrgray2 mgrgray4 mgrgray8
  mgrmono miff24 mj500c mj6000c mj700v2c mj8000c ml600 necp6 npdl nullpage
  oce9050 oki182 oki4w okiibm oprp opvp paintjet pam pbm pbmraw pcl3 pcx16
  pcx24b pcx256 pcx256 pcx2up pcxcmyk pcxgray pcxmono pdfwrite pdfwrite pgm
  pgmraw pgnm pgnmraw photoex picty180 pj pjetxl pjxl pjxl300 pkm pkmraw
  pksm pksmraw plan9bm png16 png16 png16m png16m png256 png256 png48
  pngalpha pngalpha pnggray pnggray pngmono pngmono pnm pnmraw ppm ppmraw
  pr1000 pr1000_4 pr150 pr201 ps2write psdcmyk psdrgb psgray psmono psrgb
  pswrite pxlcolor pxlmono r4081 rinkj rpdl samsunggdi sgirgb sj48 spotcmyk
  st800 stcolor sunhmono svg t4693d2 t4693d4 t4693d8 tek4696 tiff12nc
  tiff24nc tiff32nc tiff48nc tiff64nc tiffcrle tiffg3 tiffg32d tiffg4
  tiffgray tifflzw tiffpack tiffsep tiffsep1 uniprint wtscmyk wtsimdi x11
  x11alpha x11cmyk x11cmyk2 x11cmyk4 x11cmyk8 x11gray2 x11gray4 x11mono
  x11rg16x x11rg32x xcf xes
Search path:
  /opt/local/share/ghostscript/9.00/Resource/Init :
  /opt/local/share/ghostscript/9.00/lib :
  /opt/local/share/ghostscript/9.00/Resource/Font :
  /opt/local/share/ghostscript/fonts :
  /opt/local/share/fonts/default/ghostscript :
  /opt/local/share/fonts/default/Type1 :
  /opt/local/share/fonts/default/TrueType : /usr/lib/DPS/outline/base :
  /usr/openwin/lib/X11/fonts/Type1 : /usr/openwin/lib/X11/fonts/TrueType
For more information, see /opt/local/share/ghostscript/9.00/doc/Use.htm.
Please report bugs to bugs.ghostscript.com.
sws:Desktop ademmler$
Comment 1 Ray Johnston 2011-01-06 16:21:07 PST
Please attach your test file. With another test file, (examples/colorcir.ps),
the tiffsep device works.

Note, this may have been fixed.
Comment 2 ademmler 2011-01-06 18:20:53 PST
Created attachment 7095 [details]
testpage in pdf format

Ray Johnston <ray.johnston@artifex.com> changed:

          What    |Removed                     |Added
----------------------------------------------------------------------------
        AssignedTo|support@artifex.com         |michael.vrhel@artifex.com

--- Comment #1 from Ray Johnston <ray.johnston@artifex.com> 2011-01-06 16:21:07 UTC ---
Please attach your test file. With another test file, (examples/colorcir.ps),
the tiffsep device works.

Note, this may have been fixed.
Comment 3 ademmler 2011-01-06 18:23:25 PST
I did the same test with colorcirc.ps and get the same error.
May it is a problem with the build coming from macports . . . 

sws:Desktop ademmler$ gs -sDEVICE=tiffsep -r75 -sICCProfilesDir=/opt/local/share/ghostscript/9.00/iccprofiles/ -o test colorcir.ps 

GPL Ghostscript  9.00 (2010-09-14)
Copyright (C) 2010 Artifex Software, Inc.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
sfopen: gs_parse_file_name failed.
sfopen: gs_parse_file_name failed.
  ./base/gsicc_manage.c:706: gsicc_open_search(): Could not find lab.icc 
| ./psi/zusparam.c:805: set_lab_icc(): cannot find default lab icc profile
sfopen: gs_parse_file_name failed.
sfopen: gs_parse_file_name failed.
sfopen: gs_parse_file_name failed.
  ./base/gsicc_manage.c:706: gsicc_open_search(): Could not find %rom%iccprofiles/default_rgb.icc 
| ./base/gsicc_manage.c:842: gsicc_set_device_profile(): cannot find device profile
Unrecoverable error: unknownerror in .setdistillerparams
Operand stack:
    --nostringval--  --nostringval--  --nostringval--  --nostringval--  false  --nostringval--  PreserveHalftoneInfo  false  Binding  Left  DefaultRenderingIntent  Default  PreserveEPSInfo  true  GrayImageDownsampleThreshold  1.5  ParseDSCComments  true  AntiAliasGrayImages  false  ColorImageDepth  -1  EmitDSCWarnings  false  MonoImageDepth  -1  PreserveCopyPage  true  AutoPositionEPSFiles  true  AutoRotatePages  PageByPage  ConvertImagesToIndexed  true  .NeverEmbed  --nostringval--  GrayImageDict  --nostringval--  Optimize  false  AntiAliasColorImages  false  TransferFunctionInfo  Preserve  CalRGBProfile  None  ColorConversionStrategy  LeaveColorUnchanged  DownsampleMonoImages  false  MaxSubsetPct  100  PDFXBleedBoxToTrimBoxOffset  --nostringval--  AutoFilterGrayImages  true  CompressPages  true  GrayACSImageDict  --nostringval--  GrayImageDepth  -1  OffOptimizations  0  .AlwaysEmbed  --nostringval--  SubsetFonts  true  CalGrayProfile  None  ColorACSImageDict  --nostringval--  DownsampleGrayImages  false  UCRandBGInfo  Preserve  LockDistillerParams  false  PDFXSetBleedBoxToMediaBox  true  AutoFilterColorImages  true  ColorImageFilter  DCTEncode  EmbedAllFonts  true  EncodeMonoImages  true  MonoImageFilter  CCITTFaxEncode  CalCMYKProfile  None  DownsampleColorImages  false  PreserveOverprintSettings  true  ImageMemory  524288  PDFXTrimBoxToMediaBoxOffset  --nostringval--  ASCII85EncodePages  false  UsePrologue  false  ColorImageDownsampleThreshold  1.5  DoThumbnails  false  EncodeGrayImages  true  MonoImageDownsampleThreshold  1.5  sRGBProfile  None  CannotEmbedFontPolicy  Warning  DetectBlends  true  PreserveOPIComments  true  GrayImageFilter  DCTEncode  ParseDSCCommentsForDocInfo  true  AntiAliasMonoImages  false  UseFlateCompression  true  ColorImageDict  --nostringval--  OPM  1  CreateJobTicket  false  EncodeColorImages  true  MonoImageDict  --nostringval--
sfopen: gs_parse_file_name failed.
sfopen: gs_parse_file_name failed.
  ./base/gsicc_manage.c:706: gsicc_open_search(): Could not find lab.icc 
| ./psi/zusparam.c:805: set_lab_icc(): cannot find default lab icc profile
Comment 4 Michael Vrhel 2011-01-07 03:55:25 PST
This works for me.  I would suggest updating to the trunk.  There were a few issues with the original 9.0 release that have been fixed with respect to paths and finding the profiles.
Comment 5 ademmler 2011-04-19 11:46:50 PDT
hi GS developers,

macports now have 9.02 in the repos, but the problem descripted here still exists.

thx Alexander

## from my test
Done RIP: GPL Ghostscript 9.02 (2011-03-30)
  Copyright (C) 2010 Artifex Software, Inc.  All rights reserved.
  This software comes with NO WARRANTY: see the file PUBLIC for details.
  sfopen: gs_parse_file_name failed.
  sfopen: gs_parse_file_name failed.
    ./base/gsicc_manage.c:709: gsicc_open_search(): Could not find lab.icc 
  | ./psi/zusparam.c:819: set_lab_icc(): cannot find default lab icc profile
  sfopen: gs_parse_file_name failed.
  sfopen: gs_parse_file_name failed.
  sfopen: gs_parse_file_name failed.
    ./base/gsicc_manage.c:709: gsicc_open_search(): Could not find %rom%iccprofiles/default_rgb.icc 
  | ./base/gsicc_manage.c:881: gsicc_set_device_profile(): cannot find device profile
  Unrecoverable error: unknownerror in .setdistillerparams
  Operand stack:
      --nostringval--  --nostringval--  --nostringval--  --nostringval--  false  --nostringval--  OffOptimizations  0  .AlwaysEmbed  --nostringval--  SubsetFonts  true  CalGrayProfile  None  ColorACSImageDict  --nostringval--  DownsampleGrayImages  false  UCRandBGInfo  Preserve  LockDistillerParams  false  PDFXSetBleedBoxToMediaBox  true  AutoFilterColorImages  true  ColorImageFilter  DCTEncode  EmbedAllFonts  true  EncodeMonoImages  true  MonoImageFilter  CCITTFaxEncode  CalCMYKProfile  None  DownsampleColorImages  false  PreserveOverprintSettings  true  ImageMemory  524288  PDFXTrimBoxToMediaBoxOffset  --nostringval--  ASCII85EncodePages  false  UsePrologue  false  ColorImageDownsampleThreshold  1.5  DoThumbnails  false  EncodeGrayImages  true  MonoImageDownsampleThreshold  1.5  sRGBProfile  None  CannotEmbedFontPolicy  Warning  DetectBlends  true  PreserveOPIComments  true  GrayImageFilter  DCTEncode  ParseDSCCommentsForDocInfo  true  AntiAliasMonoImages  false  UseFlateCompression  true  ColorImageDict  --nostringval--  CreateJobTicket  false  EncodeColorImages  true  MonoImageDict  --nostringval--  PreserveHalftoneInfo  false  Binding  Left  DefaultRenderingIntent  Default  PreserveEPSInfo  true  GrayImageDownsampleThreshold  1.5  ParseDSCComments  true  AntiAliasGrayImages  false  OPM  1  ColorImageDepth  -1  EmitDSCWarnings  false  MonoImageDepth  -1  PreserveCopyPage  true  AutoPositionEPSFiles  true  AutoRotatePages  PageByPage  ConvertImagesToIndexed  true  .NeverEmbed  --nostringval--  GrayImageDict  --nostringval--  Optimize  false  AntiAliasColorImages  false  TransferFunctionInfo  Preserve  CalRGBProfile  None  ColorConversionStrategy  LeaveColorUnchanged  DownsampleMonoImages  false  MaxSubsetPct  100  PDFXBleedBoxToTrimBoxOffset  --nostringval--  AutoFilterGrayImages  true  CompressPages  true  GrayACSImageDict  --nostringval--  GrayImageDepth  -1
  sfopen: gs_parse_file_name failed.
  sfopen: gs_parse_file_name failed.
    ./base/gsicc_manage.c:709: gsicc_open_search(): Could not find lab.icc 
  | ./psi/zusparam.c:819: set_lab_icc(): cannot find default lab icc profile
Comment 6 Henry Stiles 2011-04-19 16:30:06 PDT
Assigning to alex for verification, we thought this was fixed.
Comment 7 Ray Johnston 2011-04-19 16:50:30 PDT
You stated that your -h output showed the first Search Path was:

  /opt/local/share/ghostscript/9.00/Resource/Init

Ghostscript 9.00 and later requires that either you explicitly set the
directory for the ICC profiles using -sICCProfilesDir= or that the 'iccprofiles'
directory is a sibling to the first path on the search path list.

Thus the ICC profiles are expected to be in:

  /opt/local/share/ghostscript/9.00/iccprofiles

Please 'ls' this directory on you system and confirm that it is installed
and contains the 'lab.icc' file.
Comment 8 ademmler 2011-04-19 17:29:49 PDT
# Please not, as I wrote before I have installed Version 9.02 now (prior it was 9.00). Therefore here the actual searchpaths from "gs-h":

Search path:
   /opt/local/share/ghostscript/9.02/Resource/Init :
   /opt/local/share/ghostscript/9.02/lib :
   /opt/local/share/ghostscript/9.02/Resource/Font :
   /opt/local/share/ghostscript/fonts :
   /opt/local/share/fonts/default/ghostscript :
   /opt/local/share/fonts/default/Type1 :
   /opt/local/share/fonts/default/TrueType : /usr/lib/DPS/outline/base :
   /usr/openwin/lib/X11/fonts/Type1 : /usr/openwin/lib/X11/fonts/TrueType
For more information, see /opt/local/share/ghostscript/9.02/doc/Use.htm.
Please report bugs to bugs.ghostscript.com.

# As far as I can see all profiles are in place. Here is the listing for the command "ls -l /opt/local/share/ghostscript/9.02/iccprofiles/":
total 1168
-rw-rw-rw-  2 root  admin  557168 18 Apr 23:28 default_cmyk.icc
-rw-rw-rw-  2 root  admin     394 18 Apr 23:28 default_gray.icc
-rw-rw-rw-  2 root  admin    3144 18 Apr 23:28 default_rgb.icc
-rw-rw-rw-  2 root  admin    1972 18 Apr 23:28 lab.icc
-rw-rw-rw-  2 root  admin    5340 18 Apr 23:28 ps_cmyk.icc
-rw-rw-rw-  2 root  admin     416 18 Apr 23:28 ps_gray.icc
-rw-rw-rw-  2 root  admin     564 18 Apr 23:28 ps_rgb.icc
-rw-rw-rw-  2 root  admin     394 18 Apr 23:28 sgray.icc
-rw-rw-rw-  2 root  admin    3144 18 Apr 23:28 srgb.icc

#When I specify the -sICCProfilesDir=GS fails also.I have tried twice once with a trailing / once without.

#sws:~ ademmler$ gs -sDEVICE=tiffsep -r75 -sICCProfilesDir=/opt/local/share/ghostscript/9.02/iccprofiles -o test /opt/local/share/ghostscript/9.02/examples/colorcir.ps 
GPL Ghostscript 9.02 (2011-03-30)
Copyright (C) 2010 Artifex Software, Inc.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
sfopen: gs_parse_file_name failed.
  ./base/gsicc_manage.c:709: gsicc_open_search(): Could not find /opt/local/share/ghostscript/9.02/iccprofilesdefault_cmyk.icc 
| ./base/gsicc_manage.c:881: gsicc_set_device_profile(): cannot find device profile
Unrecoverable error: unknownerror in .putdeviceprops
Operand stack:
    --nostringval--  --nostringval--  true  --nostringval--  HWResolution  --nostringval--  PageSize  --nostringval--
sfopen: gs_parse_file_name failed.
  ./base/gsicc_manage.c:709: gsicc_open_search(): Could not find default_gray.icc 
| ./psi/zusparam.c:599: set_default_gray_icc(): cannot find default gray icc profile

#sws:~ ademmler$ gs -sDEVICE=tiffsep -r75 -sICCProfilesDir=/opt/local/share/ghostscript/9.02/iccprofiles/ -o test /opt/local/share/ghostscript/9.02/examples/colorcir.ps 
GPL Ghostscript 9.02 (2011-03-30)
Copyright (C) 2010 Artifex Software, Inc.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
sfopen: gs_parse_file_name failed.
sfopen: gs_parse_file_name failed.
  ./base/gsicc_manage.c:709: gsicc_open_search(): Could not find lab.icc 
| ./psi/zusparam.c:819: set_lab_icc(): cannot find default lab icc profile
sfopen: gs_parse_file_name failed.
sfopen: gs_parse_file_name failed.
sfopen: gs_parse_file_name failed.
  ./base/gsicc_manage.c:709: gsicc_open_search(): Could not find %rom%iccprofiles/default_rgb.icc 
| ./base/gsicc_manage.c:881: gsicc_set_device_profile(): cannot find device profile
Unrecoverable error: unknownerror in .setdistillerparams
Operand stack:
    --nostringval--  --nostringval--  --nostringval--  --nostringval--  false  --nostringval--  Optimize  false  AntiAliasColorImages  false  TransferFunctionInfo  Preserve  CalRGBProfile  None  ColorConversionStrategy  LeaveColorUnchanged  DownsampleMonoImages  false  MaxSubsetPct  100  PDFXBleedBoxToTrimBoxOffset  --nostringval--  AutoFilterGrayImages  true  CompressPages  true  GrayACSImageDict  --nostringval--  GrayImageDepth  -1  OffOptimizations  0  .AlwaysEmbed  --nostringval--  OPM  1  SubsetFonts  true  CalGrayProfile  None  ColorACSImageDict  --nostringval--  DownsampleGrayImages  false  UCRandBGInfo  Preserve  LockDistillerParams  false  PDFXSetBleedBoxToMediaBox  true  AutoFilterColorImages  true  ColorImageFilter  DCTEncode  EmbedAllFonts  true  EncodeMonoImages  true  MonoImageFilter  CCITTFaxEncode  CalCMYKProfile  None  DownsampleColorImages  false  PreserveOverprintSettings  true  ImageMemory  524288  PDFXTrimBoxToMediaBoxOffset  --nostringval--  ASCII85EncodePages  false  UsePrologue  false  ColorImageDownsampleThreshold  1.5  DoThumbnails  false  EncodeGrayImages  true  MonoImageDownsampleThreshold  1.5  sRGBProfile  None  CannotEmbedFontPolicy  Warning  DetectBlends  true  PreserveOPIComments  true  GrayImageFilter  DCTEncode  ParseDSCCommentsForDocInfo  true  AntiAliasMonoImages  false  UseFlateCompression  true  ColorImageDict  --nostringval--  CreateJobTicket  false  EncodeColorImages  true  MonoImageDict  --nostringval--  PreserveHalftoneInfo  false  Binding  Left  DefaultRenderingIntent  Default  PreserveEPSInfo  true  GrayImageDownsampleThreshold  1.5  ParseDSCComments  true  AntiAliasGrayImages  false  ColorImageDepth  -1  EmitDSCWarnings  false  MonoImageDepth  -1  PreserveCopyPage  true  AutoPositionEPSFiles  true  AutoRotatePages  PageByPage  ConvertImagesToIndexed  true  .NeverEmbed  --nostringval--  GrayImageDict  --nostringval--
sfopen: gs_parse_file_name failed.
sfopen: gs_parse_file_name failed.
  ./base/gsicc_manage.c:709: gsicc_open_search(): Could not find lab.icc 
| ./psi/zusparam.c:819: set_lab_icc(): cannot find default lab icc profile
Comment 9 ademmler 2011-04-19 17:33:53 PDT
#One extra note. I have tried other tiffdevices, which are working. So for me it seems to be a problem only with tiffsep and tiffsep1 devices . . . may you can confirm this. I hope you will find some solution.
I wont hesitate to use "-c" option to set some postscript option to overcome this problem soon.

thx in advance Alex
Comment 10 Alex Cherepanov 2011-04-26 14:50:57 PDT
This problem has been already fixed in the current development version
by the following commit.

http://git.ghostscript.com/?p=ghostpdl.git;a=commit;h=4ddefa258ee17e359429c901ef8a0a8f3b234083

The problem was not limited to Mac but any platform that doesn't compile
initialization files into the executable.
Comment 11 ademmler 2011-04-26 15:01:03 PDT
Hi Alex and Team,

thx for working on this and all your efforts.
So I am looking forward for the next release.

Alexander